Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1516511

Summary: [abrt] xorg-x11-server-Xorg: OsLookupColor(): Bus error at address 0x3f8c5b4
Product: [Fedora] Fedora Reporter: fedbzville
Component: xorg-x11-serverAssignee: X/OpenGL Maintenance List <xgl-maint>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 26CC: alexl, bskeggs, caillon+fedoraproject, jglisse, john.j5live, ofourdan, rhughes, rstrode, sandmann, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:a482d5d67b3746797349660a4c29968ff2700772;VARIANT_ID=workstation;
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-05-29 11:34:34 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: backtrace
none
File: cpuinfo
none
File: dmesg
none
File: dso_list
none
File: etc_X11_xorg_conf_d.tar.gz
none
File: usr_share_xorg_conf_d.tar.gz none

Description fedbzville 2017-11-22 19:31:53 UTC
Version-Release number of selected component:
xorg-x11-server-Xorg-1.19.3-4.fc26

Additional info:
reporter:       libreport-2.9.1
crash_function: OsLookupColor
executable:     /usr/libexec/Xorg
kernel:         4.13.5-200.fc26.x86_64
runlevel:       N 5
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/libexec/Xorg (OsLookupColor+0x139) [0x59c629]
1: /lib64/libpthread.so.0 (funlockfile+0x50) [0x7fc662e013ff]
2: /usr/libexec/Xorg (MaybeDeliverEventsToClient+0x81f) [0x44206f]
3: /usr/libexec/Xorg (WindowsRestructured+0x24c) [0x442abc]
4: /usr/libexec/Xorg (InitProximityClassDeviceStruct+0x236a) [0x5285fa]
5: /usr/libexec/Xorg (InitProximityClassDeviceStruct+0x2813) [0x528f73]
6: /usr/libexec/Xorg (XkbProcessKeyboardEvent+0x2c2) [0x5546b2]
7: /usr/libexec/Xorg (mieqSetHandler+0x339) [0x57bd19]
8: /usr/libexec/Xorg (mieqProcessInputEvents+0x99) [0x57bcf9]
9: /usr/libexec/Xorg (ProcessInputEvents+0x19) [0x477279]
10: /usr/libexec/Xorg (SendErrorToClient+0xff) [0x43562f]
11: /usr/libexec/Xorg (InitFonts+0x420) [0x439890]
12: /lib64/libc.so.6 (__libc_start_main+0xea) [0x7fc662a3e50a]
13: /usr/libexec/Xorg (_start+0x2a) [0x42357a]

Comment 1 fedbzville 2017-11-22 19:31:59 UTC
Created attachment 1357769 [details]
File: backtrace

Comment 2 fedbzville 2017-11-22 19:32:01 UTC
Created attachment 1357770 [details]
File: cpuinfo

Comment 3 fedbzville 2017-11-22 19:32:05 UTC
Created attachment 1357771 [details]
File: dmesg

Comment 4 fedbzville 2017-11-22 19:32:06 UTC
Created attachment 1357772 [details]
File: dso_list

Comment 5 fedbzville 2017-11-22 19:32:08 UTC
Created attachment 1357773 [details]
File: etc_X11_xorg_conf_d.tar.gz

Comment 6 fedbzville 2017-11-22 19:32:09 UTC
Created attachment 1357774 [details]
File: usr_share_xorg_conf_d.tar.gz

Comment 7 Fedora End Of Life 2018-05-03 08:08:23 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2018-05-29 11:34:34 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.